> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all events

> Returns a list of all events for an account. Events are also delivered via webhooks - see the [Webhooks documentation](/webhooks) for more details.



## OpenAPI

````yaml /api-reference/v2/openapi.yaml get /v2/issuer/events
openapi: 3.0.0
info:
  title: Decisionly API v2
  description: Claims-based API for submission and handling of chargebacks by issuers.
  version: 2.0.0
servers:
  - url: https://api.decisionly.com
    description: Production server. Use your test key for the sandbox environment.
security:
  - basicAuth: []
tags:
  - name: v2 Cases
    description: Case management endpoints
  - name: v2 Claims
    description: Claim management endpoints
  - name: v2 Events
    description: Event endpoints
  - name: v2 Files
    description: File upload endpoints
  - name: v2 Beta
    description: Beta features - These endpoints are experimental and subject to change
paths:
  /v2/issuer/events:
    get:
      tags:
        - v2 Events
      summary: List all events
      description: >-
        Returns a list of all events for an account. Events are also delivered
        via webhooks - see the [Webhooks documentation](/webhooks) for more
        details.
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - in: query
          name: starting_after
          schema:
            type: string
        - in: query
          name: ending_before
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of events.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Event'
                  has_more:
                    type: boolean
components:
  schemas:
    Event:
      type: object
      properties:
        created:
          type: string
          format: date-time
          description: Timestamp when the event was created.
        data:
          type: object
          description: Data associated with the event.
          properties:
            case_id:
              type: string
              description: The associated case ID, if any.
              nullable: true
        id:
          type: string
          description: Unique identifier for the event.
        type:
          type: string
          description: The type of event.
          enum:
            - case.accepted
            - case.arbitration_filed
            - case.chargeback_filed
            - case.chargeback_needs_review
            - case.chargeback_represented
            - case.created
            - case.expired
            - case.lost
            - case.merchant_credited
            - case.prearb_filed
            - case.prearb_rebutted
            - case.prearb_received
            - case.queued
            - case.rejected
            - case.representment_needs_review
            - case.withdrawn
            - case.won
          example: case.chargeback_filed
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API key as the username. No password is required.

````